PNGRECOLOR(1)

NAME
pngrecolor - rewrite a PNG file with a minimal palette

SYNOPSIS
pngrecolor [-h(elp)] [-n(o_interlace)] [-q(uiet)] infile outfile

DESCRIPTION
pngrecolor reads in a PNG image and writes it out again with a minimal palette (if there are 256 or fewer colors present). It is called as part of the opt-png script.

OPTIONS

-h  Print help and quit.

-n  Write out a non-interlaced image. If this option is not specified, the choice of interlacing will be the same as the input image.

-q  Quiet output. No output commentary will be printed.

HISTORY
The pngrecolor program is derived heavily from Jason Summers' excellent pngrewrite program. This version was tweaked by Brian Lindholm to add unique palette sorting and a couple of new command-line options.

COPYRIGHT
Original pngrewrite program copyright (C) 2010 by Jason Summers. Modifications for derived pngrecolor program copyright (C) 2013-2026 by Brian Lindholm. This program may be used without restriction. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.